Test

Intel ® Desktop Network Adapter Troubleshooting Guide

What issue are you encountering?

Unable to Detect Network Adapter

Yellow Bang inside Device Manager

Cannot connect to Network

All rights reserved. Copyright© 2008.
Intel® CLRP Engineers©


Worked before

Intel ® Desktop Network Adapter Troubleshooting Guide

Has the network connection worked before?


Recent Changes

Intel ® Desktop Network Adapter Troubleshooting Guide

Were there any changes made to the system just before the network connection stopped working?

Some changes that could affect the network connection are BIOS update, driver update, adding/ removing hardware or software, changing network cables, changing network driver setting etc.


Revert to Previous Settings

Intel ® Desktop Network Adapter Troubleshooting Guide

If possible, undo the change(s) one at a time and verify if the network connectivity begins working.

NOTE: After making changes, it is often advisable to reboot the system.

Did this help solve the issue?


Reseat the discrete network card adapter

Intel ® Desktop Network Adapter Troubleshooting Guide

Reseat the network adapter add-in card.

With the power cable disconnected from the computer, remove the network adapter add-in card then re-install it securely into the slot.

Did this help solve the issue?


Install the adapter on a different slot

PCI Keying

Intel ® Desktop Network Adapter Troubleshooting Guide

Move the network adapter add-in card to a different PCI/ PCI-X/ PCI Express (PCIe) slot.

When possible, put the network adapter add-in card in the largest available slot in the computer that matches the network adapter (i.e for a PCIe x2 network adapter, try it in a x4 or x8 slot if one is available).

Did this help solve the issue?


Swap discrete network adapter

Intel ® Desktop Network Adapter Troubleshooting Guide

Replace the network adapter add-in card with another one.

If possible, replace the non-working adapter with another of the same make and model and preferably one that is currently working properly.

Did this help solve the issue?


Hardware Compatibility

Intel ® Desktop Network Adapter Troubleshooting Guide

Is the network adapter certified to work on your motherboard?

You may need to contact your computer vendor and verify the specific network adapter is on their Hardware Certified List (HCL).


Use compatible adapter add-in card

Intel ® Desktop Network Adapter Troubleshooting Guide

Use only compatible adapter add-in card with your computer.

Did this help solve the issue?


Consult motherboard manufacturer

Intel ® Desktop Network Adapter Troubleshooting Guide

Contact your computer manufacturer for a list of Intel ® Network Adapter that are supported on your system.


Operating System Compatibility

Intel ® Desktop Network Adapter Troubleshooting Guide

Is the Operating System compatible with the adapter installed?

NOTE: Always check the support site for Operating System compatibility.


Use compatible OS

Intel ® Desktop Network Adapter Troubleshooting Guide

Use only compatible Operating System with the adapter as the driver download for the adapter will require an appropriate Operating System before initiating the download.

NOTE: Always check the support site for Operating System compatibility.

Did this help solve the issue?


LAN Adapter detected in Device Manager

1. Right click on My Computer and click on Properties.

2. On the Hardware tab, click on the Device Manager button.

OR

1. Right click on My Computer and click Manage.

2. Under System Tools, click on Device Manager.

Intel ® Desktop Network Adapter Troubleshooting Guide

Is the LAN Adapter detected in the Device Manager under Network Adapters?


Error Message or Yellow bang inside Device Manager

Intel ® Desktop Network Adapter Troubleshooting Guide

Is there any error message or yellow bang inside Device Manager?


Adapter driver update

How to download Intel ® Desktop Adapter driver

NOTE: The following example shows how to download the driver of Intel® PRO/1000 GT Desktop Adapter, ensure to select the appropriate Network Adapter and Operating System installed in your system.

1. Go to http://www.intel.com/

2. On the Work selection, click on Downloads.

3. On the download center menu point on network Connectivity > Intel Desktop Adapters

and then choose the appropriate adapter type.

4. Select your Operating System and then click Go.

5. Click on the Download link to download the appropriate driver.

Intel ® Desktop Network Adapter Troubleshooting Guide

Download and install the latest driver for the discrete network adapter.

Did this help solve the issue?


Connected to Router, Hub or Switch

A hub is a multiport repeater. It is a device for connecting multiple twisted pair or fiber optic Ethernet devices together, making them act as a single network segment.

Placement of hubs in a network design can vary. The simplest structure would employ a standalone workgroup hub that is connected to another connectivity device such as a switch or a router.

Figure 1. Detailed diagram of a hub

A switch subdivides a network into smaller logical pieces. Each port on the switch acts like a bridge, and each device connected to a switch effectively receives its own dedicated channel.

Figure 2. A network connected to a switch

Intel ® Desktop Network Adapter Troubleshooting Guide

Are you getting a link any light on the Network Connection and on the hub/switch port?

Make sure that the hub or switch is in a good working condition. Try to connect the LAN cable on another port of the hub or switch.

Did this correct your problem?


Check LAN cable

Intel ® Desktop Network Adapter Troubleshooting Guide

Make sure that proper LAN cable is being used in the network. Ensure that Category 5 or greater (markings found on the side of the cable) is being utilized and is less than or equal to 100 meters or 328 feet in length.

Secure the connection from the NIC to the hub or switch port, a loose physical connection can affect the stability of network connection.

Below is a table on the Ethernet Cable Summary.

Specification | Cable Type | Maximum length
10BaseT | Unshielded Twisted Pair | 100 meters
10Base2 | Thin Coaxial | 185 meters
10Base5 | Thick Coaxial | 500 meters
10BaseF | Fiber Optic | 2000 meters
100BaseT | Unshielded Twisted Pair | 100 meters
100BaseTX | Unshielded Twisted Pair | 220 meters

Did this help solve the issue?


Change LAN cable

Intel ® Desktop Network Adapter Troubleshooting Guide

Replace LAN cable with a known working one.

Did this help solve the issue?


Run the PROSet Cable/Connection/Hardware Diagnostic

Intel ® Desktop Network Adapter Troubleshooting Guide

Test the signal quality and show the cable status by launching the Intel® PROSet Cable/Connection/Hardware Diagnostic Utility.

Did this help solve the issue?


Contact Network Administrator

Intel ® Desktop Network Adapter Troubleshooting Guide

Contract your Network Administrator for further troubleshooting.


Warranty

Intel ® Desktop Network Adapter Troubleshooting Guide

Thank you for using this wizard.

The discrete network adapter may be defective and needs to be replaced.

Please contact Intel ® Customer Support for warranty assistance. Make sure however that the adapter is still under warranty and that Intel ® is the correct source for warranty support.

Refer to the adapter's warranty information for further details.


Intel ® Desktop Network Adapter Troubleshooting Guide

End of Troubleshooting

Thank you for using this wizard.

If this guide did not help solve the issue, please contact Intel Customer Support for technical assistance.

E-mail Intel ® Technical Support

Call Intel ® Technical Support


Adapter Speed and Duplex

Full-duplex is a type of transmission in which signals may travel in both directions over a medium simultaneously.

Half-duplex is a type of transmission in which signals may travel in both directions over a medium but in only one direction at a time.

Discrete LAN Troubleshooting Guide

In the Advanced properties of the discrete network adapter, force set the Speed & Duplex Value to 10/100 full or half speed.

Did this help solve the issue?


Adapter type

Discrete LAN Troubleshooting Guide

What type of does the adapter has?

PCI

PCIe

PCI-x


BIOS Update

Discrete LAN Troubleshooting Guide

Update motherboard's BIOS.

Click here for information on how to perform BIOS Update on Intel ® motherboards.

Did this help solve the issue?


Check link status

Intel ® Desktop Network Adapter Troubleshooting Guide

Are you getting a link any light in the hub or switch port?


Check Microsoft Knowledgebase

Discrete LAN Troubleshooting Guide

Check Microsoft support site for equivalent error message to determine possible solution and workaround.

Did this help solve the issue?


Check Physical Connection

Discrete LAN Troubleshooting Guide

Make sure that the physical connections are secured. The cable length should not exceed specifications.

Below is a table on the Ethernet Cable Summary.

Specification | Cable Type | Maximum length
10BaseT | Unshielded Twisted Pair | 100 meters
10Base2 | Thin Coaxial | 185 meters
10Base5 | Thick Coaxial | 500 meters
10BaseF | Fiber Optic | 2000 meters
100BaseT | Unshielded Twisted Pair | 100 meters
100BaseTX | Unshielded Twisted Pair | 220 meters

Did this help solve the problem?


Connect to a working network

Discrete LAN Troubleshooting Guide

Try connecting to a network that is know to be up and running or is in a good working state.

Did this help solve the issue?


Connection Status

Discrete LAN Troubleshooting Guide

Is the connection intermittent?


Connectivity Issue

Discrete LAN Troubleshooting Guide

Are you experiencing any connectivity issue?


Default Gateway

A gateway is a combination of networking hardware and software that connects two dissimilar types of networks.

A default gateway is the gateway that firsts interprets a device's outbound request, and then interprets its inbound requests to and from other subnets. Each node on the network can have only one default gateway; that gateway is assigned either manually or automatically.

In many cases, a default gateway is not a separate device, but rather a network interface on a router. In this way, one router can supply multiple gateways. Each default gateway is assigned its own IP address as seen on below image.

Ping the IP address of the default gateway to verify that the default gateway is working and that you can communicate with a local host on the local network. To do this, type the following command:

ping <IP address of default gateway>

If the ping fails, you may have an issue with the network adapter, the router or gateway device, the cabling, or other connectivity hardware.

Discrete LAN Troubleshooting Guide

Can you ping the default gateway?


Defective PCI or PCIe slot

Discrete LAN Troubleshooting Guide

The PCI or PCIe slot may be defective. Contact Intel ® Customer Support for further technical support.

E-mail Intel ® Technical Support

Call Intel ® Technical Support


Diagnostics

1. Right Click on My Network Places and click on Properties.

2. Right Click on the Network Connection and click Properties.

3. On the LAN Area Connection Properties, click Configure button under Connect using

4. On the Link Speed tab, click on Diagnostics... button.

5. Click on the Run Test button for each tab (Connection, Cable and Hardware).

If LAN cable is not properly connected or a problem is present, test will output a failed and no link result.

Passed Cable Test

Passed Hardware Test

Failed Connectivity Test

Intel ® Desktop Network Adapter Troubleshooting Guide

Run the Diagnostic Tests of the network adapter.

Any error or failed connectivity test encountered?


Disable firewall and network restrictions

How to Disable Windows XP Firewall

1. From Start Menu, choose Control Panel.

2. Click the Network and Internet Connections icon.

3. Click the network connections icon.

4. Right-click on the Local Area Connection icon and choose Properties from the menu.

5. Click the Advanced tab then click on the Settings button.

6. Click on the radio button next to Off (not recommended) then click the OK button.

Discrete LAN Troubleshooting Guide

Temporary disable firewall and restrictions applied on the network.

Did this help solve the issue?


Disable onboard LAN

1. Boot the system.

2. Press F2 to enter BIOS.

3. Under Advanced Menu > Peripheral Configuration > On Board LAN, select disable.

4. Press F10 to save and exit.

Discrete LAN Troubleshooting Guide

Disable onboard LAN in BIOS to avoid resource conflict.

Did this help solve the issue?


File sharing

Discrete LAN Troubleshooting Guide

Can you initiate file sharing with other systems on the network?

For more information on file sharing in Windows XP, click here.


Firewall or administrative restrictions

Firewall is a specialized device (typically a router, but possible only a PC running special software) that selectively filters or blocks traffic between networks. A firewall may be strictly hardware-based or it may involve a combination of hardware and software.

Windows XP and Vista comes with a firewall built in called the Internet Connection Firewall. For more details click here.

Some popular firewalls are:

  • Sygate Personal Firewall

  • ZoneAlarm by ZoneLabs

  • Kerio

  • BlackIce PC Protection

  • Norton Internet Security

  • McAfee Security

Icons for these programs may also be visible down by the time in your system tray. If there is one, a good first step to troubleshooting is to right click on the icon and choose the option to shutdown or disable the program.

Discrete LAN Troubleshooting Guide

Is there any firewall or administrative restrictions in the network?


Intel Diagnostic Software

This tool is an inclusion to the PROSET download of the adapter. Once the PROSET has been completely downloaded, extract it and locate the software on the Tools folder.

NOTE: Intel ® Diagnostic Software is compatible to use only with a PCI and PCI-X Intel ® Desktop Adapters and runs only in DOS. This means that system needs to boot to DOS. Once inside DOS, run the diags.exe from there.

To determine whether an adpater is a PCI, PCI Express (PCIe) or PCI-X type, check the Intel ® part number of the adapter. You may also refer to http://www.intel.com/support/network/sb/cs-012904.htm for further information.

PCI - starts with PWLA or PILA

i.e: PILA8464B

PCIe - ends with PF or PT

i.e: EXPI9300PT

Intel ® Desktop Network Adapter Troubleshooting Guide

Download and run the Intel ® Diagnostic Software.

Is the adapter detected?


LAN BIOS Setting

1. Boot the system.

2. Press F2 to enter BIOS.

3. Under Advanced Menu > Peripheral Configuration > On Board LAN, check the status of the LAN whether it is enabled or disabled.

4. Press F10 to save and exit.

Discrete LAN Troubleshooting Guide

Is onboard LAN enabled in BIOS?


Network Status

Discrete LAN Troubleshooting Guide

Is the network up and running or in a good working state?


New Topic

Discrete LAN Troubleshooting Guide

How to download Intel ® Desktop Adapter driver

1. Go to http://www.intel.com/

2. On the Work selection, click on Downloads.

3. On the download center menu point on network Connectivity > Intel Desktop Adapters

and then choose the appropriate adapter type.

4. Select your Operating System and then click Go.

5. Click on the Download link to download the appropriate driver.


Peer System

PING or Packet Internet Group is a TCP/IP troubleshooting utility that can verify that TCP/IP is installed, bound to the NIC, configured correctly and communicating with the network.

Figure 1. Successful ping of a computer in the network

Discrete LAN Troubleshooting Guide

Can you ping other computer in the network?


Push back to motherboard manufacturer

Discrete LAN Troubleshooting Guide

This is placeholder text for your template. To add content to the body, replace this text. To add a header or footer, click the Header or Footer button on the toolbar.

The heading in this template is a special field for topic titles, so generally you do not need to edit it.

For information about applying templates to topics, press F1.


Set static IP

IP address is a logical address used in TCP/IP networking. Without the existence of an IP address, data could not be routed between networks and devices.

A static IP address is an IP address that is manually assigned to a device and remains constant until it is manually changed.

How to configure a Static IP address in Windows XP

1. From Start Menu, choose Control Panel.

2. Click the Network and Internet Connections icon.

3. Click the network connections icon.

4. Right-click on the Local Area Connection icon and choose Properties from the menu.

5. Select Internet Protocol (TCP/IP) in the This connection uses the following items and click on properties.

6. In the internet protocol (TCP/IP) properties window click the radio button next to Use the following IP address. You can now manualy input a static IP address that is compatible with your network or broadband router.

The static IP address you enter must be within the range set by your broadband router.

You will get the range of IP addresses available from your router by looking in you user manual or loging into your router control panel. The subnet mask will automatically fill itself in.

You will have noticed that the Use the following DNS server radio button has automatically move down. Put in here your routers IP address.

7. Click OK.

8. Restart your computer.

Discrete LAN Troubleshooting Guide

Set static IP on the machine.

Did this help solve the issue?